//Exemplo digitando usando keyboardPress e keyboardRelease
//passando enumerator ou caractere.

//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link para o vídeo que utiliza este código: https://www.youtube.com/watch?v=1hw_mmkdxLc&t=617s

#include <SerialMouseKeyboardControl.h>

SerialMouseKeyboardControl smkc;

void setup() 
{
  //SerialMouseKeyboardControl usa Serial. Defina o Baud Rate desejado.
  //O exemplo utiliza Baud Rate 9600.
  Serial.begin(9600);
  
  pinMode(2, INPUT_PULLUP);

}

void loop() 
{
  if(!digitalRead(2))
  {
    smkc.keyboardPress(Key::VK_LSHIFT);

    smkc.keyboardPress(Key::KEY_B);
    smkc.keyboardRelease(Key::KEY_B);

    smkc.keyboardRelease(Key::VK_LSHIFT);

    smkc.keyboardPress(Key::KEY_I);
    smkc.keyboardRelease(Key::KEY_I);

    smkc.keyboardPress(Key::KEY_T);
    smkc.keyboardRelease(Key::KEY_T);

    smkc.keyboardPress(Key::VK_SPACE);
    smkc.keyboardRelease(Key::VK_SPACE);

    smkc.keyboardPress('a');
    smkc.keyboardRelease('a');

    smkc.keyboardPress(Key::VK_SPACE);
    smkc.keyboardRelease(Key::VK_SPACE);

    smkc.keyboardPress('B');
    smkc.keyboardRelease('B');

    smkc.keyboardPress('i');
    smkc.keyboardRelease('i');

    smkc.keyboardPress('t');
    smkc.keyboardRelease('t');

  }

  delay(200);
}